Last Comment Bug 793749 - Add support for the PLAINTEXT signature method to oauth.jsm
: Add support for the PLAINTEXT signature method to oauth.jsm
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: FileLink (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: Thunderbird 18.0
Assigned To: Tom Thompson
:
:
Mentors:
Depends on: 1109178
Blocks: 744035 764312
  Show dependency treegraph
 
Reported: 2012-09-24 09:51 PDT by Florian Quèze [:florian] [:flo]
Modified: 2014-12-09 09:37 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed
fixed


Attachments
Patch (from bug 744035) (5.77 KB, patch)
2012-09-24 09:58 PDT, Florian Quèze [:florian] [:flo]
florian: review+
standard8: approval‑comm‑aurora+
standard8: approval‑comm‑beta+
Details | Diff | Splinter Review

Description Florian Quèze [:florian] [:flo] 2012-09-24 09:51:21 PDT
The PLAINTEXT OAuth signature method is required to add Spideroak support for Filelink, and is also needed to fix bug 764312 (sending files with a name containing the '(' or ')' characters through Ubuntu One).

A patch for this has been developed and reviewed in bug 744035 for Spideroak, but it would be useful for Ubuntu One to land this before the Spideroak support is finished, so I'm splitting this out to a separate bug per Mark's request.
Comment 1 Florian Quèze [:florian] [:flo] 2012-09-24 09:58:55 PDT
Created attachment 664103 [details] [diff] [review]
Patch (from bug 744035)

This patch comes from bug 744035. It's an almost exact copy of attachment 636163 [details] [diff] [review].
I only fixed a coding style nit I had (renamed the "verifier" parameter to "aVerifier") and added a commit message (that lists Tom Thompson as the author).

David Bienvenu already reviewed that patch in bug 744035. I did a drive by review there of a previous version of the patch (I'm the original author of that OAuth code), and my review comments have been addressed.

I think we should take this for Thunderbird 17 to fix bug 764312, and possibly for Thunderbird 16 too.

After this lands, someone should verify that bug 764312 is actually fixed, and that the Dropbox add-on still works.
Comment 2 Florian Quèze [:florian] [:flo] 2012-09-25 08:55:52 PDT
https://hg.mozilla.org/comm-central/rev/6eea3c05df45
Comment 3 Mark Banner (:standard8, limited time in Dec) 2012-09-25 09:19:23 PDT
Comment on attachment 664103 [details] [diff] [review]
Patch (from bug 744035)

Mike says this works fine with Dropbox, so a=me.

Note You need to log in before you can comment on or make changes to this bug.